## ros-noetic-toposens-markers 2.3.2

=== tests/CMakeLists.txt ===
find_package(roslaunch REQUIRED)
find_package(rostest REQUIRED)

#############
## Modules ##
#############

set(TEST_MODULES
	plot
)

foreach(M ${TEST_MODULES})

	add_rostest_gtest(
		${PROJECT_NAME}_${M}_test
		modules/${M}/launch.test
		modules/${M}/tests.cpp
	)

	add_dependencies(
		${PROJECT_NAME}_${M}_test
		${PROJECT_NAME}_node
	)

	target_link_libraries(
		${PROJECT_NAME}_${M}_test
    ${PROJECT_NAME}
	)

endforeach()

#############
## Hz test ##
#############

add_rostest(
	hertz/ts_markers.test
	DEPENDENCIES ${PROJECT_NAME}_node
)

=== debian/changelog ===
ros-noetic-toposens-markers (2.3.2-2focal) focal; urgency=high

  * Download test data to /tmp/tests
  * Contributors: Thomas Böhm

 -- Dennis Maier <maier@toposens.com>  Wed, 26 Jan 2022 23:00:00 -0000

ros-noetic-toposens-markers (2.3.1-2focal) focal; urgency=high

  * Minor clean-up and bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Mon, 25 Oct 2021 22:00:00 -0000

ros-noetic-toposens-markers (2.3.0-2focal) focal; urgency=high

  * Introduce toposens_echo_driver package
  * Update maintainers
  * Minor bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Wed, 22 Sep 2021 22:00:00 -0000

ros-noetic-toposens-markers (2.2.1-2focal) focal; urgency=high

  * Update Maintainer
  * Contributors: Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Wed, 19 May 2021 22:00:00 -0000

ros-noetic-toposens-markers (2.2.0-2focal) focal; urgency=high

  * Optimize launch file structure
  * Add .clang-format file and auto-format files (including XML-style files)
  * Remove reconfig unit/integration tests
  * Bugfix: Install param/ folder
  * Contributors: Dennis Maier, Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Wed, 10 Feb 2021 23:00:00 -0000

ros-noetic-toposens-markers (2.1.1-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 23 Nov 2020 23:00:00 -0000

ros-noetic-toposens-markers (2.1.0-2focal) focal; urgency=high

  * Introduce bringup package and general updates.
  * Prepare for Noetic release
  * Run separate CI stages for melodic+noetic. Bump up CMake version to 3.0.2.
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Mon, 02 Nov 2020 23:00:00 -0000

ros-noetic-toposens-markers (2.0.4-2focal) focal; urgency=high

  * Changed package maintainer
  * Fix catkin_lint issues
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Wed, 14 Oct 2020 22:00:00 -0000

ros-noetic-toposens-markers (2.0.3-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Tue, 11 Aug 2020 22:00:00 -0000

ros-noetic-toposens-markers (2.0.2-2focal) focal; urgency=high

  * Changed package maintainer
  * Contributors: Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Thu, 27 Feb 2020 23:00:00 -0000

ros-noetic-toposens-markers (2.0.1-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Wed, 22 Jan 2020 23:00:00 -0000

ros-noetic-toposens-markers (2.0.0-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 13 Jan 2020 23:00:00 -0000

ros-noetic-toposens-markers (1.3.0-2focal) focal; urgency=high

  * Using robot description instead of markers for sensor visualization
  * Contributors: Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Sun, 17 Nov 2019 23:00:00 -0000

ros-noetic-toposens-markers (1.2.3-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 02 Sep 2019 22:00:00 -0000

ros-noetic-toposens-markers (1.2.2-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Thu, 01 Aug 2019 22:00:00 -0000

ros-noetic-toposens-markers (1.2.1-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Thu, 11 Jul 2019 22:00:00 -0000

ros-noetic-toposens-markers (1.2.0-2focal) focal; urgency=high

  * Added launch files for armhf architectures
  * Added rules to install launch & rviz files
  * Contributors: Christopher Lang, Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Thu, 04 Jul 2019 22:00:00 -0000

ros-noetic-toposens-markers (1.1.0-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Thu, 20 Jun 2019 22:00:00 -0000

ros-noetic-toposens-markers (1.0.0-2focal) focal; urgency=high

  * Added setup delay to Hz tests
  * Contributors: Adi Singh, Christopher Lang, Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Mon, 13 May 2019 22:00:00 -0000

ros-noetic-toposens-markers (0.9.6-2focal) focal; urgency=high

  * Add colored tags to tests for console debugging
  * Implemented test data download functionality
  * Contributors: Adi Singh, Roua Mokchah

 -- Tobias Roth <roth@toposens.com>  Sun, 12 May 2019 22:00:00 -0000

ros-noetic-toposens-markers (0.9.5-2focal) focal; urgency=high

  * Implemented tests for dynamic reconfig
  * Contributors: Adi Singh, Roua Mokchah

 -- Tobias Roth <roth@toposens.com>  Thu, 02 May 2019 22:00:00 -0000

ros-noetic-toposens-markers (0.9.3-2focal) focal; urgency=high

  * Added automated tests for toposens_markers
  * Contributors: Adi Singh, Roua Mokchah

 -- Tobias Roth <roth@toposens.com>  Thu, 25 Apr 2019 22:00:00 -0000

ros-noetic-toposens-markers (0.9.2-2focal) focal; urgency=high

  * Fixed package versions
  * Contributors: Adi Singh

 -- Tobias Roth <roth@toposens.com>  Tue, 16 Apr 2019 22:00:00 -0000

ros-noetic-toposens-markers (0.9.0-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Mon, 08 Apr 2019 22:00:00 -0000

ros-noetic-toposens-markers (0.8.1-2focal) focal; urgency=high

  * Temperature calibration implemented
  * Contributors: Sebastian Dengler

 -- Tobias Roth <roth@toposens.com>  Thu, 28 Mar 2019 23:00:00 -0000

ros-noetic-toposens-markers (0.8.0-2focal) focal; urgency=high

  * Added driver documentation
  * Created Command class with overloaded constructors
  * Contributors: Adi Singh, Christopher Lang

 -- Tobias Roth <roth@toposens.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-noetic-toposens-markers (0.7.0-2focal) focal; urgency=high

  * Added native PCL integration
  * Implemented markers using rviz visual tools
  * Added dynamic reconfigure capability for driver
  * Contributors: Adi Singh

 -- Tobias Roth <roth@toposens.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-toposens-markers (0.5.0-2focal) focal; urgency=high



 -- Tobias Roth <roth@toposens.com>  Wed, 06 Feb 2019 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-toposens-markers
Section: misc
Priority: optional
Maintainer: Dennis Maier <maier@toposens.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rostest, ros-noetic-rviz-visual-tools, ros-noetic-tf2-geometry-msgs, ros-noetic-toposens-description, ros-noetic-toposens-driver, ros-noetic-toposens-msgs
Homepage: https://toposens.com
Standards-Version: 3.9.2

Package: ros-noetic-toposens-markers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-rviz-visual-tools, ros-noetic-tf2-geometry-msgs, ros-noetic-toposens-description, ros-noetic-toposens-driver, ros-noetic-toposens-msgs
Description: Rviz integration for TS sensor data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-toposens-markers//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
